> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses bills revert to draft



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/bills/{billId}/revert-to-draft
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/bills/{billId}/revert-to-draft:
    post:
      tags:
        - BusinessBills
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: billId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BillsBillTransitionRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/BillsBillTransitionRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/BillsBillTransitionRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/BillsBillTransitionResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/BillsBillTransitionResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/BillsBillTransitionResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    BillsBillTransitionRequest:
      type: object
      properties:
        targetStatus:
          $ref: '#/components/schemas/BillsBillStatus'
        comment:
          type: string
          nullable: true
      additionalProperties: false
    BillsBillTransitionResponse:
      type: object
      properties:
        previousStatus:
          $ref: '#/components/schemas/BillsBillStatus'
        currentStatus:
          $ref: '#/components/schemas/BillsBillStatus'
        transitionedAt:
          type: string
          format: date-time
        transitionedByEmployee:
          $ref: '#/components/schemas/BusinessEmployeesEmployeeResponse'
        comment:
          type: string
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    BillsBillStatus:
      enum:
        - DRAFT
        - PENDING_APPROVAL
        - APPROVED
        - READY_FOR_PAYMENT
        - SCHEDULED
        - PROCESSING
        - PAID
        - MARKED_PAID
        - DENIED
        - CANCELLED
        - PAYMENT_FAILED
      type: string
    BusinessEmployeesEmployeeResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        businessId:
          type: integer
          format: int64
        userId:
          type: integer
          format: int64
          nullable: true
        employeeIdentifier:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        managerId:
          type: integer
          format: int64
          nullable: true
        manager:
          $ref: '#/components/schemas/BusinessEmployeesEmployeeResponse'
        status:
          type: string
          nullable: true
        isMemberOnPlatform:
          type: boolean
        birthdate:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
        departments:
          type: array
          items:
            $ref: '#/components/schemas/BusinessEmployeesDepartmentMembershipResponse'
          nullable: true
        locations:
          type: array
          items:
            $ref: '#/components/schemas/BusinessEmployeesLocationMembershipResponse'
          nullable: true
      additionalProperties: false
    BusinessEmployeesDepartmentMembershipResponse:
      type: object
      properties:
        departmentId:
          type: integer
          format: int64
        departmentName:
          type: string
          nullable: true
      additionalProperties: false
    BusinessEmployeesLocationMembershipResponse:
      type: object
      properties:
        locationId:
          type: integer
          format: int64
        locationName:
          type: string
          nullable: true
      additionalProperties: false

````